﻿using System.Collections.Generic;
using System.Windows;
using Microsoft.Practices.Composite.Presentation.Events;

namespace LaserTag.Infrastructure.Events
{
    public struct DetectedObject
    {
        public Size OriginalAreaSize;
        public Size DetectionAreaSize;
        public Rect ObjectArea;
        public Point GetCenter()
        {
            return new Point(ObjectArea.Left + (ObjectArea.Width / 2), ObjectArea.Top + (ObjectArea.Height / 2));
        }

        public override string ToString()
        {
            return string.Format("Object Area {0}", ObjectArea);
        }
    }

    public class NewObjectsDetectedEvent: CompositePresentationEvent<List<DetectedObject>>
    {
    }
}
