﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace LaserTag.Module.AForgeModule.Services
{
    public interface IHslConfiguration
    {
        void Save();

        /// <summary>
        /// The minimum hue.  The range is 0 to 359.
        /// </summary>
        int HueMinimum { get; set; }

        /// <summary>
        /// The maximum hue.  The range is 0 to 359.
        /// </summary>
        int HueMaximum { get; set; }

        /// <summary>
        /// The minimum saturation. The range is 0 to 1.
        /// </summary>
        double SaturationMinimum { get; set; }

        /// <summary>
        /// The maximum saturation. The range is 0 to 1.
        /// </summary>
        double SaturationMaximum { get; set; }

        /// <summary>
        /// The minimum luminace.  The range is 0 to 1.
        /// </summary>
        double LuminanceMinimum { get; set; }

        /// <summary>
        /// The maximum luminace.  The range is 0 to 1.
        /// </summary>
        double LuminanceMaximum { get; set; }
    }
}
