﻿using LaserTag.Module.Graffiti.Controllers;
using Microsoft.Practices.Composite.Modularity;
using Microsoft.Practices.Unity;

namespace LaserTag.Module.Graffiti
{
    public class GraffitiModule : IModule
    {
        private readonly IUnityContainer m_container;

        public GraffitiModule(IUnityContainer container)
        {
            m_container = container;
        }

        #region IModule Members

        public void Initialize()
        {
            m_container.RegisterType<IGraffitiWallController, GraffitiWallController>();
            m_container.Resolve<IGraffitiWallController>().Run();
        }

        #endregion
    }
}
