﻿using System.Windows;

namespace LaserTag.Shell
{
    public partial class App : Application
    {
        /// <summary>
        /// Called when the application is started
        /// </summary>
        /// <param name="e"></param>
        protected override void OnStartup(StartupEventArgs e)
        {
            /* Run any base class stuff */
            base.OnStartup(e);

            /* Create a new bootstrapper for the application.  The bootstrapper
             * registers any used modules and creates and runs the application's shell */
            var bootstrapper = new LaserTagBootstrapper();

            /* Run the boot strapper */
            bootstrapper.Run();
        }
    }
}
